%define pkg_name        Linux-Inotify2
%define pkg_version     1.1
%define rpm_pkg_version 1.1
%define rpm_pkg_release 1.n0i.3

Summary:       Scalable directory/file change notification
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/ML/MLEHMANN/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module implements an interface to the linux inotify file/directory
change notification sytem. It has a number of advantages over the
Linux::Inotify module:
- it is portable (Linux::Inotify only works on x86)
- the equivalent of fullname works correctly
- it is better documented
- it has callback-style interface, which is better suited for integration.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path eg/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes COPYING eg/ README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.1-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.1

* Thu Feb 02 2006 Marius Feraru <altblue@n0i.net> 1.01-1.n0i.2
- version 1.01

* Wed Aug 31 2005 Marius Feraru <altblue@n0i.net> 0.2-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.09
- rebuild on perl 5.8.7
